/**
 * <p>Script statements. See the SCRIPT element definition in HTML 4.01.</p>
 */
function HTMLScriptElement() {
    this.prototype
}
/**
 * Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.01.
 * @syntax hTMLScriptElement.defer
 * @returns {boolean} 
 */
HTMLScriptElement.prototype.defer;

/**
 * The script content of the element.
 * @syntax hTMLScriptElement.text
 * @returns {String} 
 */
HTMLScriptElement.prototype.text;

/**
 * Reserved for future use.
 * @syntax hTMLScriptElement.event
 * @returns {String} 
 */
HTMLScriptElement.prototype.event;

/**
 * Reserved for future use.
 * @syntax hTMLScriptElement.htmlFor
 * @returns {String} 
 */
HTMLScriptElement.prototype.htmlFor;

/**
 * The character encoding of the linked resource. See the charset attribute definition in HTML 4.01.
 * @syntax hTMLScriptElement.charset
 * @returns {String} 
 */
HTMLScriptElement.prototype.charset;

/**
 * URI [IETF RFC 2396] designating an external script. See the src attribute definition in HTML 4.01.
 * @syntax hTMLScriptElement.src
 * @returns {String} 
 */
HTMLScriptElement.prototype.src;

/**
 * The content type of the script language. See the type attribute definition in HTML 4.01.
 * @syntax hTMLScriptElement.type
 * @returns {String} 
 */
HTMLScriptElement.prototype.type;

/**
 * Represents the HTMLScriptElement prototype object.
 * @syntax HTMLScriptElement.prototype
 * @static
 */
HTMLScriptElement.prototype = new HTMLElement();

